Xerces2 Implementation: Class DTDDVFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv
Class DTDDVFactory

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.DTDDVFactory

Direct Known Subclasses:
  DTDDVFactoryImpl

public abstract class DTDDVFactory
extends java.lang.Object

The factory to create and return DTD types. The implementation should store the created datatypes in static data, so that they can be shared by multiple parser instance, and multiple threads.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: DTDDVFactory.java 558581 2007-07-23 01:38:26Z mrglavas $
Author:
  Sandy Gao, IBM

Constructor Summary
`protected` | `DTDDVFactory()`

Method Summary
`abstract DatatypeValidator` | `getBuiltInDV(java.lang.String name)` return a dtd type of the given name
`abstract java.util.Hashtable` | `getBuiltInTypes()` get all built-in DVs, which are stored in a hashtable keyed by the name
`static DTDDVFactory` | `getInstance()` Get an instance of the default DTDDVFactory implementation.
`static DTDDVFactory` | `getInstance(java.lang.String factoryClass)` Get an instance of DTDDVFactory implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTDDVFactory

    protected DTDDVFactory()

Method Detail

### getInstance

    public static final DTDDVFactory getInstance()
                                          throws DVFactoryException

  Get an instance of the default DTDDVFactory implementation.
  Returns:
    an instance of DTDDVFactory implementation
  Throws:
    `DVFactoryException` - cannot create an instance of the specified class name or the default class name

### getInstance

    public static final DTDDVFactory getInstance(java.lang.String factoryClass)
                                          throws DVFactoryException

  Get an instance of DTDDVFactory implementation.
  Parameters:
    `factoryClass` - name of the implementation to load.
  Returns:
    an instance of DTDDVFactory implementation
  Throws:
    `DVFactoryException` - cannot create an instance of the specified class name or the default class name

### getBuiltInDV

    public abstract DatatypeValidator getBuiltInDV(java.lang.String name)

  return a dtd type of the given name
  Parameters:
    `name` - the name of the datatype
  Returns:
    the datatype validator of the given name

### getBuiltInTypes

    public abstract java.util.Hashtable getBuiltInTypes()

  get all built-in DVs, which are stored in a hashtable keyed by the name
  Returns:
    a hashtable which contains all datatypes

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.